# $Revision: 1.114 $, $Date: 2011/09/01 17:03:35 $
# NOTE:		Please keep in sync with aumix-gtk.
Summary:	curses based audio mixer
Summary(de.UTF-8):	Audio-Mixer auf curses-Basis
Summary(es.UTF-8):	Mezclador de audio basado en curses
Summary(fr.UTF-8):	Mixer audio basé sur curses
Summary(tr.UTF-8):	Metin ekranlı ses karıştırıcı
Summary(pl.UTF-8):	Mikser audio bazujący na curses
Summary(pt_BR.UTF-8):	Mixador de áudio baseado em curses
Summary(ru.UTF-8):	Аудио микшер на базе библиотеки curses
Summary(uk.UTF-8):	Аудіо мікшер, базований на біблиотеці curses
Name:		aumix
Version:	2.8
Release:	7
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
# Source0-md5:	dc3fc7209752207c23e7c94ab886b340
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.desktop
Source4:	%{name}.png
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-x%{name}.patch
Patch2:		%{name}-ac250.patch
URL:		http://www.jpj.net/~trevor/aumix.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel >= 5.0
Obsoletes:	aumix-gtk
Obsoletes:	aumix-X11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program provides a tty-based, interactive method of controlling a
sound card's mixer. It lets you adjust the input levels from the CD,
microphone, and onboard synthesizers as well as the output volume.

%description -l de.UTF-8
Dieses Programm bietet eine interaktive Methode auf tty-Basis zur
Steuerung eines Soundkarten-Mixers. Sie können damit die Eingangspegel
der CD, des Mikrophons und von Synthesizer-Karten sowie auch die
Ausgabelautstärke regeln.

%description -l es.UTF-8
Este programa nos ofrece un método interactivo basado en tty de
control de mezclas de tarjetas de sonido. Deja que se ajuste los
niveles de entrada del CD, micrófono, y sintetizadores, así como el
volumen de salida.

%description -l fr.UTF-8
Ce programme offre une méthode intaractive en mode texte pour
contrôler le mixer des cartes son. Il permet d'ajuster les niveaux
d'entrée du CD, du micro et des synthétiseurs de la carte, tout comme
le volume de sortie.

%description -l pl.UTF-8
Ten pakiet dostarcza bazującą na tty, interaktywną metodę
kontrolowania miksera karty dźwiękowej. aumix pozwala zmieniać poziom
sygnału nadchodzącego z CD, mikrofonu i syntetyzerów, a także poziom
sygnału wyjściowego.

%description -l pt_BR.UTF-8
Este programa oferece um método interativo baseado em tty de controle
de mixagem de placas de som. Ele deixa você ajustar os níveis de
entrada do CD, microfone, e sintetizadores assim como o volume de
saída.

%description -l tr.UTF-8
Bu program metin ekranda, etkileşimli olarak ses kartı mixer denetimi
yapmanızı saglar. Çıktı sesinin yanısıra, CD, mikrofon ve panel
üzerindeki birleştiriciden girdi seviyelerini ayarlamanıza olanak
verir.

%description -l ru.UTF-8
Эта программа - консольный, интерактивный регулятор уровней микшера
звуковой карты. Она позволяет изменять как входные уровни сигналов с
CD, микрофона, синтезаторов на звуковой плате, так и выходной уровень.

%description -l uk.UTF-8
Ця програма - консольний, інтерактивний регулятор рівней мікшеру
звукової картки. Вона дозволяє змінювати як вхідні рівні сигналів з
CD, мікрофону, синтезаторів на звуковій платі, так і вихідний рівень.

%package preserve-settings
Summary:	Saves/restores mixer settings on system shutdown/startup
Summary(pl.UTF-8):	Zapisuje/odtwarza ustawienia przy zamknięciu/starcie systemu
Group:		Applications/Sound
Requires:	rc-scripts >= 0.2.0
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	aumix-OSS-preserve-settings
Obsoletes:	rhsound
Conflicts:	alsa-utils-init

%description preserve-settings
This package contains script, which will save settings of sound card's
mixer on system shutdown and restore them on system startup.

%description preserve-settings -l pl.UTF-8
Ten pakiet zawiera skrypt, który zapisuje ustawienia miksera karty
dźwiękowej przy zamknięciu systemu i odtwarza je po uruchomieniu
systemu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
#%%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}

CPPFLAGS="-I/usr/include/ncurses"
%configure \
	--without-gtk \
	--without-gtk1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/aumix
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/aumix
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}
rm -f $RPM_BUILD_ROOT%{_datadir}/aumix/aumix.xpm

:> $RPM_BUILD_ROOT%{_sysconfdir}/aumixrc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post preserve-settings
/sbin/chkconfig --add aumix
if [ ! -f /var/lock/subsys/aumix ]; then
	echo "Run \"/sbin/service aumix start\" to initialize saving/restoring"
	echo "sound card mixer's settings on system shutdown/startup, and then"
	echo "setup sound volume."
fi

%preun preserve-settings
if [ "$1" = "0" ]; then
	%service aumix stop
	/sbin/chkconfig --del aumix
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/aumixrc

%attr(755,root,root) %{_bindir}/aumix
%{_mandir}/man1/*
%{_datadir}/aumix
%{_pixmapsdir}/*.png
%{_desktopdir}/aumix.desktop

%files preserve-settings
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/aumix
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/aumix

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aumix.spec,v $
Revision 1.114  2011/09/01 17:03:35  arekm
- release 7

Revision 1.113  2011/01/29 00:06:09  sparky
- dropped pre-cvs changelog

Revision 1.112  2008/08/10 16:36:41  arekm
- release 6

Revision 1.111  2008-03-09 14:17:58  qboosh
- updated init script
- GPL v2+
- -preserve-settings conflicts with alsa-utils-init, not alsa-utils
- release 5

Revision 1.110  2007-02-12 21:23:48  glen
- tabs in preamble

Revision 1.109  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.108  2006/04/03 20:57:06  megabajt
- release 4 for Th

Revision 1.107  2006/02/24 15:20:04  glen
- use %service

Revision 1.106  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.105  2004/10/29 15:51:08  radek
- release 3: fixed init script

Revision 1.104  2004/07/27 21:06:14  havner
- rel 2 for rebuild (forgot about uncommenting patch :-( )

Revision 1.103  2004/07/27 21:04:26  qboosh
- strict internal dep, uncommented home_etc patch

Revision 1.102  2004/07/26 21:24:39  havner
- fixed home_etc patch
- rel 1

Revision 1.101  2004/07/12 18:30:46  havner
- home_etc not done yet

Revision 1.100  2004/07/11 23:13:00  havner
- 2.8 version, support gtk2!
- NFY, patches needs to bo converted, I'll do it tommorow

Revision 1.99  2004/07/03 21:56:34  havner
- rel up

Revision 1.98  2004/06/08 07:24:35  paszczus
- reverted changes

Revision 1.96  2004/04/04 18:59:39  adamg
- Obsoletes: aumix-OSS-preserve-settings

Revision 1.95  2004/04/04 18:58:24  adamg
- s/OSS-preserve-settings/preserve-settings/ - this also works for ALSA
  (patch by Paszczus)

Revision 1.94  2003/12/01 21:47:20  adgor
- Desktop file moved to %desktopdir

Revision 1.93  2003/12/01 02:13:34  undefine
- release 15

Revision 1.92  2003/12/01 02:13:12  undefine
- remove conflicts (there is obsolete already)

Revision 1.91  2003/09/01 22:31:51  ankry
- rel 14

Revision 1.90  2003/08/06 16:31:01  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.89  2003/08/01 07:46:20  gotar
- sync aumix-gtk with aumix;
- aumix-gtk:
  - typo,
  - added en, ru and uk summaries and descriptions,
  - new desktop file with Terminal=0,
  - added png icon in place of xpm one,
- aumix:
  - %{_sysconfdir} mustn't be /etc, install it,
  - removed xpm icon,
- touch replaced with :>
- release 13.

Revision 1.88  2003/07/29 15:12:20  qboosh
- more specific Requires

Revision 1.87  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.86  2003/05/25 05:45:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.85  2003/04/16 10:43:04  radek
- removed "rm acinclude.m4" and __gettextize; now it builds

Revision 1.84  2002/11/29 09:44:26  qboosh
- yeah, "only ncurses capable" meant "no curses, only command line"
  (--with-ncurses in not supported and means the same as --without-ncurses)
- release 12, STBR

Revision 1.83  2002/11/22 08:23:52  kloczek
- changes for make aumix only ncurses capable.

Revision 1.82  2002/11/21 16:06:48  ankry
- replaced xpm icon with a (based on it) png one
- rel. 11

Revision 1.81  2002/10/10 11:48:16  marcus
- use new %doc

Revision 1.80  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.79  2002/06/23 20:52:48  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.78  2002/06/10 19:20:47  mkochano
- aumix-gtk: Release 4.
- aumix: Release 10.
- They Confilcts: with each other. This is because they provide binary
  with same name (aumix) but with different functionality and in
  different location.

Revision 1.77  2002/05/21 23:12:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.76  2002/04/25 15:49:53  arturs
- fixed a small typo

Revision 1.75  2002/04/25 10:00:05  kloczek
- release 9,
- aumix-X11 added to Obsoletes,
- merge translations from Conectiva.

Revision 1.74  2002/04/25 06:07:16  marcus
- rel.6.

Revision 1.73  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.72  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.71  2002/01/18 02:12:26  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.70  2001/10/13 12:54:42  qboosh
- pass include path for ncurses in CPPFLAGS, not CFLAGS (fixes build)
- release 5

Revision 1.69  2001/09/24 09:51:23  qboosh
- OSS-preserve-settings subpackage Prereq: /sbin/chkconfig

Revision 1.68  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.65  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.64  2001/07/06 12:55:47  wiget
- release 4; autoconf fixed

Revision 1.63  2001/06/28 08:11:48  kloczek
- release 3,
- on top %build remove aclocal.m4 which contain local copy gettext.m4 and
  gtk.m4.

Revision 1.62  2001/03/28 01:42:13  qboosh
- use rpm features (gzipping, %debug, %config), automake-related changes
- added sysconfig in OSS subpackage - save/init can be {dis,en}abled separately
- release 2

Revision 1.61  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.60  2000/07/13 23:42:44  kloczek
- updated to 2.7.

Revision 1.59  2000/07/13 23:05:13  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.58  2000/07/13 20:36:21  baggins
- release 2

Revision 1.57  2000/07/06 05:23:53  kloczek
- removed outdated nogtk patch.

Revision 1.56  2000/06/27 21:04:39  kloczek
- updated to 2.6.1.

Revision 1.55  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.54  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.53  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.52  2000/04/15 14:13:24  mkochano
- Builds without Gtk.

Revision 1.51  2000/04/14 05:12:41  kloczek
- "Requires: rc-scripts >= 0.2.0", "Obsoletes: rhsound" moved to
  OSS-preserve-settings subpackage.

Revision 1.50  2000/04/14 04:33:18  kloczek
- updated to 2.6,
- added "Requires: rc-scripts >= 0,.2.0",
- added "Obsoletes: rhsound",
- beter status target in init script (borowed from rhsound).

Revision 1.49  2000/04/12 21:29:08  mkochano
- Script for saving/restoring mixers' settings moved to separate package.

Revision 1.48  2000/04/10 20:15:26  mkochano
- Added init script for saving/restoring sound card mixer's settings on
  shutdown/startup.

Revision 1.47  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.46  2000/03/29 21:07:36  kloczek
- removed outdated pl.po patch.

Revision 1.45  2000/03/29 20:23:44  kloczek
- updated to 2.5.

Revision 1.44  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.43  2000/03/23 12:40:43  pius
- updated to 2.4

Revision 1.42  2000/03/09 10:41:49  pius
- updated to 2.2
- built with gtk+ interface

Revision 1.41  2000/02/10 13:39:13  pius
- one more BuildRequires rule

Revision 1.40  2000/02/04 00:54:45  pius
- updated to 2.1
- fixed pl translation
- modified aumix-home_etc.patch for use with $CONFIG_DIR variable

Revision 1.39  2000/01/17 01:41:35  pius
- updated to 2

Revision 1.38  1999/12/06 22:09:07  kloczek
- updated to 1.30,
- ua changed to uk (symbol ukrainian translation).

Revision 1.37  1999/11/28 13:42:50  pius
- updated to 1.28
- cosmetics

Revision 1.36  1999/11/27 18:58:06  zagrodzki
- typo

Revision 1.35  1999/11/27 16:37:37  zagrodzki
- now can use ~/etc/aumixrc instead of ~/.aumixrc

Revision 1.34  1999/11/24 18:10:07  pius
- updated to 1.27.4

Revision 1.33  1999/11/24 03:17:32  pius
- updated to 1.27.3

Revision 1.32  1999/11/20 13:57:42  pius
- updated to 1.27.2
- removed aumix-xaumix.patch (applied)

Revision 1.31  1999/11/17 21:18:35  pius
- updated to 1.27.1
- added new version of xaumix script
- moved xaumix to /usr/X11R6/bin
- added pixmaps and schems to %files
- added xaumix.desktop file

Revision 1.30  1999/11/16 17:58:21  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.29  1999/11/09 20:36:04  pius
- changed 'make install-strip' to 'make install'

Revision 1.28  1999/11/09 20:29:04  pius
- updated to 1.27

Revision 1.27  1999/11/05 16:47:32  kloczek
- updated to 1.26,
- updated de translation.

Revision 1.26  1999/11/01 16:41:56  pius
- updated to 1.25.1
- cosmetics

Revision 1.25  1999/10/31 18:01:52  pius
- updated to 1.25
- removed --without-alsa from configure options (ALSA hardware muting
  is disabled in sources)

Revision 1.24  1999/10/28 19:26:12  pius
- updated to 1.24
- added --without-alsa to configure options
- simplifications in %install

Revision 1.23  1999/09/05 14:36:53  kloczek
- added using %configure macro,
- cosmetics.

Revision 1.22  1999/09/04 21:33:19  pius
- updated to 1.22.1

Revision 1.21  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).
